### Hierarchy

- IntrinsicClassAttributes<ButtonImpl>
  - ButtonOwnProps

## Index

### Properties

- btnSize
- btnStyle
- isLoading
- key
- ref

## Properties

### Optional btnSize

btnSize: Size

- Defined in components/Button/index.tsx:15

### Optional btnStyle

btnStyle: Style

- Defined in components/Button/index.tsx:16

### Optional isLoading

isLoading: undefined | false | true

- Defined in components/Button/index.tsx:17

### Optional key

key: Key

Inherited from Attributes.key

- Defined in /Users/garm/work/theme/node_modules/@types/react/index.d.ts:66

### Optional ref

ref: Ref<ButtonImpl>

Inherited from ClassAttributes.ref

- Defined in /Users/garm/work/theme/node_modules/@types/react/index.d.ts:69

Generated using TypeDoc